#
# spec file for package wine-doors
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.




Name:           wine-doors
Summary:        An application designed to make installing windows software
Version:        0.1.3
Release:        lp150.1.1
License:        GPL
Group:          System/Emulators/PC
Url:            http://www.wine-doors.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%{version}.tar_0.bz2
BuildArch:      noarch
BuildRequires:  python
Requires:       cabextract procps wine
Requires:       python wine tar unzip orange
%if 0%{?suse_version} > 0
BuildRequires:  update-desktop-files python-xml
Requires:       python-xml python-gtk xorg-x11 python-gnome
%if 0%{?suse_version} > 1000
Requires:       python-cairo
%endif
%if 0%{?suse_version} >= 1020
BuildRequires:  fdupes
Requires:       gnome-python-desktop
%endif
%endif
%if 0%{?fedora_version} > 0
Requires:       pygtk2 pycairo gnome-python2-desktop orange
Requires:       libxml2-python pygtk2-libglade glade2 libglade2
Requires:       gnome-python2-rsvg setxkbmap pycairo
%endif

%description
Wine-doors is an application designed to make installing windows
software on Linux, Solaris or other Unix systems easier. Wine-doors
is essentially a package management tool for windows software on Linux
systems. Most Linux desktop users are familiar with package management
style application delivery, so it made sense to apply this model to
windows software.

Wine-doors works by leveraging the exquisite software, libraries
and tools created over at WineHQ, there are also plans to support
Cedega, cvscedega and Crossover Office.

%prep
%setup -q

%build

%install
%if 0%{?fedora_version} > 0
mkdir -p "$RPM_BUILD_ROOT"
%endif
python setup.py install -S \
                        --nodeps \
                        --temp="$RPM_BUILD_ROOT" \
                        --prefix="%{_prefix}"

%if 0%{?suse_version}  
%suse_update_desktop_file %{name}
%if 0%{?suse_version} >= 1020
%fdupes -s "$RPM_BUILD_ROOT"
%endif
%endif

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/wine-doors
%attr(755,root,root) %{_datadir}/wine-doors/src/build-repos.sh
%dir /etc/wine-doors
%config(noreplace) /etc/wine-doors/preferences.xml
%{_datadir}/wine-doors
%{_datadir}/applications/wine-doors.desktop
%{_datadir}/pixmaps/wine-doors*

%changelog
* Tue Apr 14 2009 lars@linux-schulserver.de
- update to 0.1.3:
  - Several bug fixes
  - Several new packages including PhotoshopCS2 and Spotify
  - IE works again!
- reworked specfile
- Buildarch = noarch
- build with --nodeps: ignore unmet dependancies (done via package)
- added Req: tar unzip orange
- fix Req for Fedora
* Mon Mar 16 2009 meissner@suse.de
- fixed translation of desktop file
* Sun Jan 27 2008 meissner@suse.de
- make it build
* Thu Jan 24 2008 meissner@suse.de
- upgdated to version 0.1.2.
* Sat Nov 24 2007 mail@cgoncalves.info
- updated to version 0.1.1
* Thu Sep 13 2007 mail@cgoncalves.info
- 10.2 requires gnome-python-desktop
* Tue Jul 17 2007 meissner@suse.de
- imported from home:cgoncalves, revised specfile
